#define ID_MENU 501

#define IDM_FILENEW          200
#define IDM_RECORD_WAVE      202
#define IDM_DECODE_WAVE      203
#define IDM_DECODE_WAVE_LOOP 207
#define IDM_DECODE_WAVE_STATISTICS 208
#define IDM_QUIT             7355

#define IDM_TIME            210

#define IDM_SAMPLERATE      213
#define IDM_SELECT_AUDIO_IO_DLL         220 /* added by DL4YHF, 2014-02-22 */
#define IDM_USE_AUDIO_IO_DLL_FOR_INPUT  221
#define IDM_USE_AUDIO_IO_DLL_FOR_OUTPUT 222

#define IDM_AUDIO_CONTROL_PANEL 1999
#define IDM_FIRST_AUDIO_INPUT_DEVICE  2000
#define IDM_LAST_AUDIO_INPUT_DEVICE   2099
#define IDM_FIRST_AUDIO_OUTPUT_DEVICE 2100
#define IDM_LAST_AUDIO_OUTPUT_DEVICE  2199


#define IDM_HELPCONTENTS    235
#define IDM_HELPSEARCH      236
#define IDM_HELPHELP        237
#define IDM_HELPABOUT       238

#define IDC_SPECTRUM_AVERAGE 307
#define IDC_RX_BUTTON        308
#define IDC_TX_BUTTON        309

#define IDC_PAUSE_BUTTON     313

#define IDC_ACCEPT           321
#define IDC_CANCEL           322
#define IDC_CLEAR            323

#define IDM_LOWEST_TONE_ON_TX 404  /* Added by DL4YHF 2014-03-19 ("because the WSQ frequency was occupied by JT9-1") */
#define IDM_AUTO_TX_RX       405  /* automatic switch from TX to RX     */
#define IDM_SEND_DIDDLE      406  /* send 'diddle' tone when TX in idle */
#define IDM_SEND_CW_ID       408
#define IDM_CW_ID_ALWAYS     409
#define IDM_DEFINE_CW_ID     410
#define IDM_DEFINE_CW_SPEED  411

#define IDM_LONG_FFT         420  /* 'FFT window longer than WSQ symbol' ? Details in WSQ_Codec.c */
#define IDM_3_PEAKS          423
#define IDM_6_PEAKS          424

#define IDM_AGC_OFF          430
#define IDM_AGC_FAST         431
#define IDM_AGC_SLOW         432

#define IDM_SYMBOL_MARKERS   440
#define IDM_SYMBOL_NUMBERS   441 /* .. as overlay on the scrolling waterfall */

#define IDM_NB_ENABLED        450
#define IDM_AGC_NB_START_FREQ 451 /* AGC/noiseblanker reference start freq */
#define IDM_AGC_NB_END_FREQ   452 /* AGC/noiseblanker reference end freq   */


#define IDM_SYNTHESIZER_ON   462
#define IDM_SYNTHESIZER_OFF  463
#define IDM_OPEN_SYNTH_FILE  464

#define IDM_PALETTE_BLUE        470  // sequence must match WF_PALETTE_BLUE..LINRAD
#define IDM_PALETTE_GREEN       471
#define IDM_PALETTE_SUNRISE     472
#define IDM_PALETTE_LINRAD      473
#define IDM_SPECTRUM_FREQ_RANGE 480
#define IDM_SPECTRUM_AMPL_RANGE 481
#define IDM_SHOW_SPECTRUM_GRAPH 482

#define IDM_SPLITTER_POS_DEFAULT   500
#define IDM_SPLITTER_POS_LARGE_WF  501

#define IDM_DECODERS         600
#define IDM_DEC_NUM_CHANNELS 601
    // The following 'decoder' items of the same type (but for different channels)
    // must have consequtive IDs to perform some index-trickery in WSQ_WinMain.c:
#define IDM_DEC1_Fo          611  // frequency where 'we expect the lowest tone'
#define IDM_DEC2_Fo          612
#define IDM_DEC1_BW          621  // frequency span, at least 64 Hz, but usually more
#define IDM_DEC2_BW          622
#define IDM_DEC1_SQL         631
#define IDM_DEC2_SQL         632
#define IDM_DEC1_MODE_OLD     635 // old WSQ with 4 FFT bins per tone (DECODER1 settings also used for TRANSMITTING)
#define IDM_DEC1_MODE_WSQCALL 636 // WSQcall with 3 FFT bins per tone
#define IDM_DEC1_ALGO1       641
#define IDM_DEC1_ALGO2       642
//#define IDM_DEC1_ALGO3     643
#define IDM_DEC2_MODE_OLD     645 // old WSQ with 4 FFT bins per tone (DECODER2 settings only used for 2nd RX chnl)
#define IDM_DEC2_MODE_WSQCALL 646 // WSQcall with 3 FFT bins per tone
#define IDM_DEC2_ALGO1       651
#define IDM_DEC2_ALGO2       652
//#define IDM_DEC2_ALGO3     653
#define IDM_DEC1_INTERACTIVE 660
#define IDM_DEC2_INTERACTIVE 661

#define IDM_LAST_ERROR       666  /* not sure where to put this beast yet */

     // Similar as above, but here for the WATERFALL CONTEXT MENU (since 2014-03-09):
#define IDM_WF_POPUP_CLICKED_FREQ 700
#define IDM_WF_POPUP_DEC1_Fo 711  // frequency where 'we expect the lowest tone'
#define IDM_WF_POPUP_DEC2_Fo 712  // MUST BE IDM_WF_POPUP_DEC1_Fo+1 !
#define IDM_WF_POPUP_DEC1_BW 721  // frequency span, at least 64 Hz, but usually more
#define IDM_WF_POPUP_DEC2_BW 722  // MUST BE IDM_WF_POPUP_DEC1_BW+1 !
#define IDM_WF_POPUP_LOWEST_TONE_ON_TX 730

#define IDM_PTT_CONTROLS      4003
#define IDM_PTT               4004
#define IDM_RELEASE_COM_ON_RX 4005

#define IDM_SYMBOL_AVRG      4100  // would be nice to assign an ID to the "POPUP" as well
#define IDM_SYMBOL_AVRG_OFF  4101
#define IDM_SYMBOL_AVRG_FAST 4102
#define IDM_SYMBOL_AVRG_SLOW 4103  // caused too much ISI (inter-symbol interference)

#define DLG_CHART       1001
#define DLG_STYLES      1002
#define DLG_SAMPLERATE  1003
#define DLG_PTT         1004

